ServerEvents.recipes(event => {
  let singularities = []

  Ingredient.of('#avaritia:singularity').itemIds.forEach(entry => {
    singularities.push(Item.of(entry))
  })

  event.custom({
    type: 'avaritia:infinity_catalyst_craft',
    ingredients: singularities,
    result: [
      { item: 'avaritia:infinity_catalyst', count: 1 }
    ]
  })
})